# PlayerPartyMemberPokemonPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PlayerPartyMemberPokemonPhase`Abstract`

#### Hierarchy (View Summary)

- PartyMemberPokemonPhase
  - PlayerPartyMemberPokemonPhase
    - ExpPhase
    - LearnMovePhase
    - LevelUpPhase
    - ShowPartyExpBarPhase

- Defined in src/phases/player-party-member-pokemon-phase.ts:4

##### Index

### Constructors

constructor

### Properties

fieldIndex
partyMemberIndex
player

### Methods

end
executeForAll
getParty
getPlayerPokemon
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new PlayerPartyMemberPokemonPhase(
  partyMemberIndex: number,
  ): PlayerPartyMemberPokemonPhase

  #### Parameters

  - partyMemberIndex: number

  #### Returns PlayerPartyMemberPokemonPhase

  Overrides PartyMemberPokemonPhase.constructor

  - Defined in src/phases/player-party-member-pokemon-phase.ts:5

## Properties

### `Protected` fieldIndex

fieldIndex: number

Inherited from PartyMemberPokemonPhase.fieldIndex

- Defined in src/phases/party-member-pokemon-phase.ts:7

### `Protected` partyMemberIndex

partyMemberIndex: number

Inherited from PartyMemberPokemonPhase.partyMemberIndex

- Defined in src/phases/party-member-pokemon-phase.ts:6

### `Protected` player

player: boolean

Inherited from PartyMemberPokemonPhase.player

- Defined in src/phases/party-member-pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from PartyMemberPokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PartyMemberPokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getParty

- getParty(): default []

  #### Returns default []

  Inherited from PartyMemberPokemonPhase.getParty

  - Defined in src/phases/party-member-pokemon-phase.ts:18

### getPlayerPokemon

- getPlayerPokemon(): PlayerPokemon

  #### Returns PlayerPokemon

  - Defined in src/phases/player-party-member-pokemon-phase.ts:9

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PartyMemberPokemonPhase.getPokemon

  - Defined in src/phases/party-member-pokemon-phase.ts:22

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PartyMemberPokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PartyMemberPokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Inherited from PartyMemberPokemonPhase.start

  - Defined in src/phase.ts:4